# DaprProtos.BulkStateItem.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.BulkStateItem.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkStateItem.Builder>
      - - io.dapr.v1.DaprProtos.BulkStateItem.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.BulkStateItemOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.BulkStateItem

    public static final class DaprProtos.BulkStateItem.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkStateItem.Builder>
    implements DaprProtos.BulkStateItemOrBuilder

     BulkStateItem is the response item for a bulk get operation.
     Return values include the item key, data and etag.

Protobuf type `dapr.proto.runtime.v1.BulkStateItem`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`DaprProtos.BulkStateItem.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.BulkStateItem` `build()`
`DaprProtos.BulkStateItem` `buildPartial()`
`DaprProtos.BulkStateItem.Builder` `clear()`
`DaprProtos.BulkStateItem.Builder` `clearData()` The byte array data
`DaprProtos.BulkStateItem.Builder` `clearError()` The error that was returned from the state store in case of a failed get operation.
`DaprProtos.BulkStateItem.Builder` `clearEtag()` The entity tag which represents the specific version of data.
`DaprProtos.BulkStateItem.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.BulkStateItem.Builder` `clearKey()` state item key
`DaprProtos.BulkStateItem.Builder` `clearMetadata()`
`DaprProtos.BulkStateItem.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.BulkStateItem.Builder` `clone()`
`boolean` `containsMetadata​(String key)` The metadata which will be sent to app.
`com.google.protobuf.ByteString` `getData()` The byte array data
`DaprProtos.BulkStateItem` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getError()` The error that was returned from the state store in case of a failed get operation.
`com.google.protobuf.ByteString` `getErrorBytes()` The error that was returned from the state store in case of a failed get operation.
`String` `getEtag()` The entity tag which represents the specific version of data.
`com.google.protobuf.ByteString` `getEtagBytes()` The entity tag which represents the specific version of data.
`String` `getKey()` state item key
`com.google.protobuf.ByteString` `getKeyBytes()` state item key
`Map<String,​String>` `getMetadata()` Deprecated.
`int` `getMetadataCount()` The metadata which will be sent to app.
`Map<String,​String>` `getMetadataMap()` The metadata which will be sent to app.
`String` `getMetadataOrDefault​(String key, String defaultValue)` The metadata which will be sent to app.
`String` `getMetadataOrThrow​(String key)` The metadata which will be sent to app.
`Map<String,​String>` `getMutableMetadata()` Deprecated.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapField` `internalGetMapField​(int number)`
`protected com.google.protobuf.MapField` `internalGetMutableMapField​(int number)`
`boolean` `isInitialized()`
`DaprProtos.BulkStateItem.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.BulkStateItem.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.BulkStateItem.Builder` `mergeFrom​(DaprProtos.BulkStateItem other)`
`DaprProtos.BulkStateItem.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.BulkStateItem.Builder` `putAllMetadata​(Map<String,​String> values)` The metadata which will be sent to app.
`DaprProtos.BulkStateItem.Builder` `putMetadata​(String key, String value)` The metadata which will be sent to app.
`DaprProtos.BulkStateItem.Builder` `removeMetadata​(String key)` The metadata which will be sent to app.
`DaprProtos.BulkStateItem.Builder` `setData​(com.google.protobuf.ByteString value)` The byte array data
`DaprProtos.BulkStateItem.Builder` `setError​(String value)` The error that was returned from the state store in case of a failed get operation.
`DaprProtos.BulkStateItem.Builder` `setErrorBytes​(com.google.protobuf.ByteString value)` The error that was returned from the state store in case of a failed get operation.
`DaprProtos.BulkStateItem.Builder` `setEtag​(String value)` The entity tag which represents the specific version of data.
`DaprProtos.BulkStateItem.Builder` `setEtagBytes​(com.google.protobuf.ByteString value)` The entity tag which represents the specific version of data.
`DaprProtos.BulkStateItem.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.BulkStateItem.Builder` `setKey​(String value)` state item key
`DaprProtos.BulkStateItem.Builder` `setKeyBytes​(com.google.protobuf.ByteString value)` state item key
`DaprProtos.BulkStateItem.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.BulkStateItem.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetMapField

    protected com.google.protobuf.MapField internalGetMapField​(int number)

Overrides:
  `internalGetMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkStateItem.Builder>`

#### internalGetMutableMapField

    protected com.google.protobuf.MapField internalGetMutableMapField​(int number)

Overrides:
  `internalGetMutableMapField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkStateItem.Builder>`

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkStateItem.Builder>`

#### clear

    public DaprProtos.BulkStateItem.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkStateItem.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkStateItem.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.BulkStateItem getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.BulkStateItem build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.BulkStateItem buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.BulkStateItem.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkStateItem.Builder>`

#### setField

    public DaprProtos.BulkStateItem.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                     Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkStateItem.Builder>`

#### clearField

    public DaprProtos.BulkStateItem.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkStateItem.Builder>`

#### clearOneof

    public DaprProtos.BulkStateItem.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkStateItem.Builder>`

#### setRepeatedField

    public DaprProtos.BulkStateItem.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                             int index,
                                                             Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkStateItem.Builder>`

#### addRepeatedField

    public DaprProtos.BulkStateItem.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                             Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkStateItem.Builder>`

#### mergeFrom

    public DaprProtos.BulkStateItem.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.BulkStateItem.Builder>`

#### mergeFrom

    public DaprProtos.BulkStateItem.Builder mergeFrom​(DaprProtos.BulkStateItem other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkStateItem.Builder>`

#### mergeFrom

    public DaprProtos.BulkStateItem.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.BulkStateItem.Builder>`
Throws:
  `IOException`

#### getKey

    public String getKey()

     state item key

`string key = 1;`

Specified by:
  `getKey` in interface `DaprProtos.BulkStateItemOrBuilder`
Returns:
  The key.

#### getKeyBytes

    public com.google.protobuf.ByteString getKeyBytes()

     state item key

`string key = 1;`

Specified by:
  `getKeyBytes` in interface `DaprProtos.BulkStateItemOrBuilder`
Returns:
  The bytes for key.

#### setKey

    public DaprProtos.BulkStateItem.Builder setKey​(String value)

     state item key

`string key = 1;`

Parameters:
  `value` - The key to set.
Returns:
  This builder for chaining.

#### clearKey

    public DaprProtos.BulkStateItem.Builder clearKey()

     state item key

`string key = 1;`

Returns:
  This builder for chaining.

#### setKeyBytes

    public DaprProtos.BulkStateItem.Builder setKeyBytes​(com.google.protobuf.ByteString value)

     state item key

`string key = 1;`

Parameters:
  `value` - The bytes for key to set.
Returns:
  This builder for chaining.

#### getData

    public com.google.protobuf.ByteString getData()

     The byte array data

`bytes data = 2;`

Specified by:
  `getData` in interface `DaprProtos.BulkStateItemOrBuilder`
Returns:
  The data.

#### setData

    public DaprProtos.BulkStateItem.Builder setData​(com.google.protobuf.ByteString value)

     The byte array data

`bytes data = 2;`

Parameters:
  `value` - The data to set.
Returns:
  This builder for chaining.

#### clearData

    public DaprProtos.BulkStateItem.Builder clearData()

     The byte array data

`bytes data = 2;`

Returns:
  This builder for chaining.

#### getEtag

    public String getEtag()

     The entity tag which represents the specific version of data.
     ETag format is defined by the corresponding data store.

`string etag = 3;`

Specified by:
  `getEtag` in interface `DaprProtos.BulkStateItemOrBuilder`
Returns:
  The etag.

#### getEtagBytes

    public com.google.protobuf.ByteString getEtagBytes()

     The entity tag which represents the specific version of data.
     ETag format is defined by the corresponding data store.

`string etag = 3;`

Specified by:
  `getEtagBytes` in interface `DaprProtos.BulkStateItemOrBuilder`
Returns:
  The bytes for etag.

#### setEtag

    public DaprProtos.BulkStateItem.Builder setEtag​(String value)

     The entity tag which represents the specific version of data.
     ETag format is defined by the corresponding data store.

`string etag = 3;`

Parameters:
  `value` - The etag to set.
Returns:
  This builder for chaining.

#### clearEtag

    public DaprProtos.BulkStateItem.Builder clearEtag()

     The entity tag which represents the specific version of data.
     ETag format is defined by the corresponding data store.

`string etag = 3;`

Returns:
  This builder for chaining.

#### setEtagBytes

    public DaprProtos.BulkStateItem.Builder setEtagBytes​(com.google.protobuf.ByteString value)

     The entity tag which represents the specific version of data.
     ETag format is defined by the corresponding data store.

`string etag = 3;`

Parameters:
  `value` - The bytes for etag to set.
Returns:
  This builder for chaining.

#### getError

    public String getError()

     The error that was returned from the state store in case of a failed get operation.

`string error = 4;`

Specified by:
  `getError` in interface `DaprProtos.BulkStateItemOrBuilder`
Returns:
  The error.

#### getErrorBytes

    public com.google.protobuf.ByteString getErrorBytes()

     The error that was returned from the state store in case of a failed get operation.

`string error = 4;`

Specified by:
  `getErrorBytes` in interface `DaprProtos.BulkStateItemOrBuilder`
Returns:
  The bytes for error.

#### setError

    public DaprProtos.BulkStateItem.Builder setError​(String value)

     The error that was returned from the state store in case of a failed get operation.

`string error = 4;`

Parameters:
  `value` - The error to set.
Returns:
  This builder for chaining.

#### clearError

    public DaprProtos.BulkStateItem.Builder clearError()

     The error that was returned from the state store in case of a failed get operation.

`string error = 4;`

Returns:
  This builder for chaining.

#### setErrorBytes

    public DaprProtos.BulkStateItem.Builder setErrorBytes​(com.google.protobuf.ByteString value)

     The error that was returned from the state store in case of a failed get operation.

`string error = 4;`

Parameters:
  `value` - The bytes for error to set.
Returns:
  This builder for chaining.

#### getMetadataCount

    public int getMetadataCount()

Description copied from interface: `DaprProtos.BulkStateItemOrBuilder`

     The metadata which will be sent to app.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataCount` in interface `DaprProtos.BulkStateItemOrBuilder`

#### containsMetadata

    public boolean containsMetadata​(String key)

     The metadata which will be sent to app.

`map<string, string> metadata = 5;`

Specified by:
  `containsMetadata` in interface `DaprProtos.BulkStateItemOrBuilder`

#### getMetadata

    @Deprecated
    public Map<String,​String> getMetadata()

Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprProtos.BulkStateItemOrBuilder`

#### getMetadataMap

    public Map<String,​String> getMetadataMap()

     The metadata which will be sent to app.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataMap` in interface `DaprProtos.BulkStateItemOrBuilder`

#### getMetadataOrDefault

    public String getMetadataOrDefault​(String key,
                                       String defaultValue)

     The metadata which will be sent to app.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataOrDefault` in interface `DaprProtos.BulkStateItemOrBuilder`

#### getMetadataOrThrow

    public String getMetadataOrThrow​(String key)

     The metadata which will be sent to app.

`map<string, string> metadata = 5;`

Specified by:
  `getMetadataOrThrow` in interface `DaprProtos.BulkStateItemOrBuilder`

#### clearMetadata

    public DaprProtos.BulkStateItem.Builder clearMetadata()

#### removeMetadata

    public DaprProtos.BulkStateItem.Builder removeMetadata​(String key)

     The metadata which will be sent to app.

`map<string, string> metadata = 5;`

#### getMutableMetadata

    @Deprecated
    public Map<String,​String> getMutableMetadata()

Deprecated.
Use alternate mutation accessors instead.

#### putMetadata

    public DaprProtos.BulkStateItem.Builder putMetadata​(String key,
                                                        String value)

     The metadata which will be sent to app.

`map<string, string> metadata = 5;`

#### putAllMetadata

    public DaprProtos.BulkStateItem.Builder putAllMetadata​(Map<String,​String> values)

     The metadata which will be sent to app.

`map<string, string> metadata = 5;`

#### setUnknownFields

    public final DaprProtos.BulkStateItem.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkStateItem.Builder>`

#### mergeUnknownFields

    public final DaprProtos.BulkStateItem.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.BulkStateItem.Builder>`